sqlite_libversion
sqlite_num_fields
SQLite Functions
PHP Manual

# sqlite_next

# SQLiteResult::next

# SQLiteUnbuffered::next

Seek to the next row number

### Description

bool sqlite_next ( resource `$result` )

Object oriented style (method):

bool SQLiteResult::next ( void )
bool SQLiteUnbuffered::next ( void )

sqlite_next advances the result handle `result` to the next row.

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

### Return Values

Returns `TRUE` on success, or `FALSE` if there are no more rows.

### See Also

- sqlite_seek
- sqlite_current
- sqlite_rewind